MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/pcm_utils.h File Reference

`#include <glib.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Functions
static int32_t | pcm_range (int32_t sample, unsigned bits)
| Check if the value is within the range of the provided bit size, and caps it if necessary.
static int64_t | pcm_range_64 (int64_t sample, unsigned bits)
| Check if the value is within the range of the provided bit size, and caps it if necessary.

## Function Documentation

static int32_t pcm_range | ( | int32_t | sample,
|  | unsigned | bits
| ) |  | `[inline, static]`

Check if the value is within the range of the provided bit size, and caps it if necessary.

Definition at line 32 of file pcm_utils.h.

static int64_t pcm_range_64 | ( | int64_t | sample,
|  | unsigned | bits
| ) |  | `[inline, static]`

Check if the value is within the range of the provided bit size, and caps it if necessary.

Definition at line 46 of file pcm_utils.h.